NX Open C++ Reference Guide
|
Represents an emboss region object. More...
Public Types | |
enum | ConvexityOption { ConvexityOptionAbove, ConvexityOptionBelow, ConvexityOptionMixed } |
Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed"). More... | |
Public Member Functions | |
NXOpen::Features::EmbossRegion::ConvexityOption | Convexity () |
Returns the convexity option Created in NX4.0.0. | |
NXOpen::Direction * | Direction () |
Returns the default direction Created in NX4.0.0. | |
std::vector < NXOpen::Features::EmbossLimit * > | GetLimits () |
The emboss limits. | |
NXOpen::Features::EmbossProjection * | Projection () |
Returns the emboss projection object Created in NX4.0.0. | |
NXOpen::Section * | Section () |
Returns the section that is composed of chains Created in NX4.0.0. | |
void | SetConvexity (NXOpen::Features::EmbossRegion::ConvexityOption convexity) |
Sets the convexity option Created in NX4.0.0. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the default direction Created in NX4.0.0. | |
void | SetLimits (const std::vector< NXOpen::Features::EmbossLimit * > &limits) |
The emboss limits Created in NX4.0.0. | |
void | SetProjection (NXOpen::Features::EmbossProjection *projection) |
Sets the emboss projection object Created in NX4.0.0. | |
void | SetSection (NXOpen::Section *section) |
Sets the section that is composed of chains Created in NX4.0.0. | |
void | SetSidewall (NXOpen::Features::EmbossSidewall *sidewall) |
Sets the emboss sidewall object Created in NX4.0.0. | |
NXOpen::Features::EmbossSidewall * | Sidewall () |
Returns the emboss sidewall object Created in NX4.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents an emboss region object.
<br> This class provides methods to set and get the various emboss region sub components. <br> <br> Following are default values and options: <br> <br> <b>Section</b> User must set it <br> <br> <b>Direction</b> If user do not specify it, it uses section normal as default direction. <br> <br> <b>Convexity Option</b> @link Features::EmbossRegion::ConvexityOptionMixed Features::EmbossRegion::ConvexityOptionMixed @endlink <br> <br> <b>Emboss Projection</b> EmbossProjection object <br> <br> <b>Emboss Sidewall</b> EmbossSidewall object <br> <br> <b>Emboss Limit</b> (array) EmbossLimit object <br>
Created in NX4.0.0.
Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed").
NXOpen::Features::EmbossRegion::ConvexityOption NXOpen::Features::EmbossRegion::Convexity | ( | ) |
Returns the convexity option
Created in NX4.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::EmbossRegion::Direction | ( | ) |
Returns the default direction
Created in NX4.0.0.
License requirements : None
std::vector<NXOpen::Features::EmbossLimit *> NXOpen::Features::EmbossRegion::GetLimits | ( | ) |
The emboss limits.
NXOpen::Features::EmbossProjection* NXOpen::Features::EmbossRegion::Projection | ( | ) |
Returns the emboss projection object
Created in NX4.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::EmbossRegion::Section | ( | ) |
Returns the section that is composed of chains
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EmbossRegion::SetConvexity | ( | NXOpen::Features::EmbossRegion::ConvexityOption | convexity | ) |
Sets the convexity option
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
convexity | The convexity option. See the comment of Features::EmbossRegion::ConvexityOption for more details. |
void NXOpen::Features::EmbossRegion::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the default direction
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | The default direction for section projection/translation/sidewall/joggle, if they are not specified |
void NXOpen::Features::EmbossRegion::SetLimits | ( | const std::vector< NXOpen::Features::EmbossLimit * > & | limits | ) |
The emboss limits
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
limits | Array of EmbossLimit objects. In NX4, only one limit is supported. |
void NXOpen::Features::EmbossRegion::SetProjection | ( | NXOpen::Features::EmbossProjection * | projection | ) |
Sets the emboss projection object
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projection | The emboss projection object |
void NXOpen::Features::EmbossRegion::SetSection | ( | NXOpen::Section * | section | ) |
Sets the section that is composed of chains
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
section | The section that is composed of chains. Each Chain will be a tangent list of curves so the Draft angles for sidewalls can be managed properly. |
void NXOpen::Features::EmbossRegion::SetSidewall | ( | NXOpen::Features::EmbossSidewall * | sidewall | ) |
Sets the emboss sidewall object
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sidewall | The emboss sidewall object |
NXOpen::Features::EmbossSidewall* NXOpen::Features::EmbossRegion::Sidewall | ( | ) |
Returns the emboss sidewall object
Created in NX4.0.0.
License requirements : None